Name:		arc-gui-clients
Version:	0.4.6
Release:	1%{?dist}
Summary:	ARC Graphical Clients

Group:		Applications/System
License:	ASL 2.0
URL:		http://sourceforge.net/projects/arc-gui-clients/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.gz
Patch0:		arc-gui-clients-0.4.6-with-debug-level.patch
Patch1:		arc-gui-clients-arc4.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig
BuildRequires:	qt4-devel
BuildRequires:	qt4-webkit-devel
BuildRequires:	glibmm24-devel
BuildRequires:	nordugrid-arc-devel >= 2
BuildRequires:	nss-devel
BuildRequires:	desktop-file-utils

#Requires:	nordugrid-arc-plugins-needed >= 2.0
#Requires:	nordugrid-arc-plugins-globus >= 2.0

%description
Provides graphical clients to the NorduGrid ARC middleware.

%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p1
%patch1 -p1

%build
%cmake -DLINUX=1
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/arccert-ui.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/arcproxy-ui.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/arcstat-ui.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/arcstorage-ui.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/arcsub-ui.desktop

%post
update-desktop-database >/dev/null 2>&1 || :

%postun
update-desktop-database >/dev/null 2>&1 || :

%files
%{_bindir}/arccert-ui
%{_bindir}/arcproxy-ui
%{_bindir}/arcstat-ui
%{_bindir}/arcstorage-ui
%{_bindir}/arcsub-ui
%{_datadir}/applications/arccert-ui.desktop
%{_datadir}/applications/arcproxy-ui.desktop
%{_datadir}/applications/arcstat-ui.desktop
%{_datadir}/applications/arcstorage-ui.desktop
%{_datadir}/applications/arcsub-ui.desktop
%doc AUTHORS LICENSE README

%changelog
* Fri Nov 29 2013 Anders Waananen <waananen@nbi.dk> - 0.4.6-1
- Upstream release 0.4.6
- Add patch arc-gui-clients-arc4.patch
- Rename some qt dependencies

* Sat Jul 06 2013 Anders Waananen <waananen@nbi.dk> - 0.4.5-1
- Upstream release 0.4.5
- Add patch to fix arcsub-ui build
- Add nss-devel dependency

* Sun Apr 21 2013 Anders Waananen <waananen@nbi.dk> - 0.4.3-1
- Bump version

* Tue Sep 11 2012 Anders Waananen <waananen@nbi.dk> - 0.3.1-1
- Bump version
- Remove patches arc-gui-clients-desktop.patch arc-gui-clients-link.patch
  now adopted by upstream

* Sun Sep 02 2012 Anders Waananen <waananen@nbi.dk> - 0.3.0-2
- Add Group

* Wed Aug 22 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-1
- Update to 0.3.0

* Wed Jul 04 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.3-1
- Initial build
